• Resolved afrikane

    (@afrikane)


    Whenever I try to save a setting I receive a critical error message on the admin dashboard. In the logs this error message is recorded:

    [06-Aug-2021 07:40:01 UTC] PHP Fatal error:  Uncaught ArgumentCountError: Too few arguments to function sfs_ErrorHandler(), 4 passed and exactly 5 expected in /home/public_html/wp-content/plugins/stop-spammer-registrations-plugin/includes/stop-spam-utils.php:101
    Stack trace:
    #0 /home/public_html/wp-content/plugins/stop-spammer-registrations-plugin/settings/settings.php(204): sfs_ErrorHandler(2, 'Undefined array...', '/home/...', 204)
    #1 /home/public_html/wp-content/plugins/stop-spammer-registrations-plugin/settings/ss_options.php(12): ss_fix_post_vars()
    #2 /home/public_html/wp-content/plugins/stop-spammer-registrations-plugin/settings/settings.php(191): require_once('/home/...')
    #3 /home/public_html/wp-content/plugins/stop-spammer-registrations-plugin/settings/settings.php(145): include_setting('ss_options.php')
    #4 /home/public_html/wp-includes/class-wp-hook.php(303): ss_options('')
    #5 /home/public_html/wp-includes/class-wp-hook.php(327): WP_Hook->apply_filters('', Array)
    #6 /home/public_html/wp-includes/plugin.php(470): WP_Hook->do_action(Array)
    #7 /home/public_html/wp-admin/admin.php(259): do_action('stop-spammers_p...')
    #8 {main}
      thrown in /home/public_html/wp-content/plugins/stop-spammer-registrations-plugin/includes/stop-spam-utils.php on line 101

    How to fix this problem?

    • This topic was modified 2 months, 2 weeks ago by afrikane.
Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Bryan Hadaway

    (@bhadaway)

    The last time we discussed PHP 8, it was still way too early. But now, I think it might be time. Let me talk to the team; I suspect we’ll have an upgrade soon.

    Plugin Author Bryan Hadaway

    (@bhadaway)

    Okay, obviously we’re going to address this sooner rather than later, but I don’t have an ETA for you. In the meantime, the only solution I can suggest is to downgrade to PHP 7.4. I realize that’s probably less than ideal, sorry.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.